/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.asm

import de.keri.cubelib.client.particle.Particles
import de.keri.cubelib.client.render.RenderingRegistry
import net.minecraft.entity.Entity
import net.minecraft.util.math.{BlockPos, MathHelper}
import net.minecraft.world.World

object ASMHooks {

  def spawnRunningParticles(entity: Entity, world: World): Unit = {
    if (entity != null && world != null) {
      val random = world.rand
      val x = MathHelper.floor(entity.posX)
      val y = MathHelper.floor(entity.posY - 0.20000000298023224D)
      val z = MathHelper.floor(entity.posZ)
      val pos = new BlockPos(x, y, z)
      val state = world.getBlockState(pos)
      val renderType = state.getBlock.getRenderType(state)

      if (RenderingRegistry.isTypeRegistered(renderType)) {
        val particleX = entity.posX + (random.nextFloat().toDouble - 0.5D) * entity.width.toDouble
        val particleY = entity.getEntityBoundingBox.minY + 0.1D
        val particleZ = entity.posZ + (random.nextFloat().toDouble - 0.5D) * entity.width.toDouble
        val speedX = -entity.motionX * 4D
        val speedY = 1.5D
        val speedZ = -entity.motionZ * 4D
        world.spawnParticle(Particles.BLOCK_CRACK_CUSTOM, particleX, particleY, particleZ, speedX, speedY, speedZ, x, y, z)
      }
      else entity.createRunningParticles()
    }
  }

}
