/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.client.particle;

import net.minecraft.client.Minecraft;
import net.minecraft.client.particle.ParticleManager;
import net.minecraft.util.EnumParticleTypes;
import net.minecraftforge.common.util.EnumHelper;

public class Particles {

    private static final Class<?>[] CONSTRUCTOR = {String.class, int.class, boolean.class, int.class};
    public static EnumParticleTypes BLOCK_CRACK_CUSTOM;

    public static void registerParticles() {
        ParticleManager particleManager = Minecraft.getMinecraft().effectRenderer;
        BLOCK_CRACK_CUSTOM = EnumHelper.addEnum(EnumParticleTypes.class, "BLOCK_CRACK_CUSTOM", CONSTRUCTOR, "blockcrackcustom", getNextAvailableParticleId(), false, 3);
        particleManager.registerParticle(BLOCK_CRACK_CUSTOM.getParticleID(), new ParticleDiggingCustomFactory());
    }

    private static int getNextAvailableParticleId() {
        return EnumParticleTypes.values().length + 1;
    }

}
