/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.client.render.block;

import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

public interface IBlockColorHandler {

    /**
     * Changes the color of the block texture based on state and side
     *
     * @param meta the current metadata
     * @param side the current side that's being rendered
     * @return the color value in the format of 0xRRGGBBAA or 0xRRGGBB
     */
    @SideOnly(Side.CLIENT)
    int getColorMultiplier(int meta, int side);

    /**
     * Changes the color of the block texture based on state and side
     *
     * @param world the current IBlockAccess
     * @param pos   the current block position
     * @param side  the current side that's being rendered
     * @return the color value in the format of 0xRRGGBBAA or 0xRRGGBB
     */
    @SideOnly(Side.CLIENT)
    int getColorMultiplier(IBlockAccess world, BlockPos pos, int side);

}
