/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.client.render.item;

import codechicken.lib.util.TransformUtils;
import de.keri.cubelib.client.render.RenderingRegistry;

public class RenderItems {

    public static EnumItemRenderType DEFAULT;
    public static EnumItemRenderType TOOL;
    public static EnumItemRenderType BOW;
    public static EnumItemRenderType HANDHELD_ROD;

    public static void initializeRenderers(){
        DEFAULT = RenderingRegistry.getNextAvailableItemRenderType();
        RenderingRegistry.registerItemRenderingHandler(new RenderItemDefault(DEFAULT));
        TOOL = RenderingRegistry.getNextAvailableItemRenderType();
        RenderingRegistry.registerItemRenderingHandler(new RenderItemDefault(TransformUtils.DEFAULT_TOOL, TOOL));
        BOW = RenderingRegistry.getNextAvailableItemRenderType();
        RenderingRegistry.registerItemRenderingHandler(new RenderItemDefault(TransformUtils.DEFAULT_BOW, BOW));
        HANDHELD_ROD = RenderingRegistry.getNextAvailableItemRenderType();
        RenderingRegistry.registerItemRenderingHandler(new RenderItemDefault(TransformUtils.DEFAULT_HANDHELD_ROD, HANDHELD_ROD));
    }

}
