/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.client.texture

import net.minecraft.client.renderer.texture.{TextureAtlasSprite, TextureMap}
import net.minecraft.util.ResourceLocation
import net.minecraftforge.fml.relauncher.{Side, SideOnly}

@SideOnly(Side.CLIENT)
class ConnectedTexture(location: ResourceLocation) {

  private val textures = Array.ofDim[TextureAtlasSprite](5)

  def register(map: TextureMap): Unit = {
    val domain = location.getResourceDomain
    val path = location.getResourcePath
    textures(0) = map.registerSprite(new ResourceLocation(domain, s"${path}_c"))
    textures(1) = map.registerSprite(new ResourceLocation(domain, s"${path}_v"))
    textures(2) = map.registerSprite(new ResourceLocation(domain, s"${path}_h"))
    textures(3) = map.registerSprite(location)
    textures(4) = map.registerSprite(new ResourceLocation(domain, s"${path}_a"))
  }

  def getTextures: Array[TextureAtlasSprite] = textures

  def getDefaultTexture: TextureAtlasSprite = textures(0)

}
