/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item

import de.keri.cubelib.block.BlockBase
import net.minecraft.block.Block
import net.minecraft.creativetab.CreativeTabs
import net.minecraft.item.{ItemBlock, ItemStack}
import net.minecraft.util.NonNullList

class ItemBlockBase(block: Block) extends ItemBlock(block) {

  setHasSubtypes(block.isInstanceOf[BlockBase] && block.asInstanceOf[BlockBase].getSubNames != null)

  override def getMetadata(damage: Int): Int = block match {
    case block: BlockBase if block.getSubNames != null => damage
    case _ => super.getMetadata(damage)
  }

  override def getSubItems(tab: CreativeTabs, items: NonNullList[ItemStack]): Unit = block.getSubBlocks(tab, items)

  override def getUnlocalizedName(stack: ItemStack): String = block match {
    case block: BlockBase if block.getSubNames != null => s"${getUnlocalizedName()}.${block.getSubNames(stack.getMetadata)}"
    case _ => getUnlocalizedName()
  }

}
