/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item.armor

import de.keri.cubeloader.loader.ILoadable
import de.keri.cubeloader.loader.loadstage.LoadStage
import net.minecraft.inventory.EntityEquipmentSlot
import net.minecraft.item.Item
import net.minecraftforge.fml.relauncher.{Side, SideOnly}

class Armorset(private val items: Array[Item]) extends ILoadable {

  def getArmorPiece(equipmentSlot: EntityEquipmentSlot): Item = items(equipmentSlot.getIndex)

  override def load(loadStage: LoadStage): Unit = for (item <- items) item.asInstanceOf[ILoadable].load(loadStage)

  @SideOnly(Side.CLIENT)
  override def loadClient(loadStage: LoadStage): Unit = for (item <- items) item.asInstanceOf[ILoadable].loadClient(loadStage)

  @SideOnly(Side.SERVER)
  override def loadServer(loadStage: LoadStage): Unit = for (item <- items) item.asInstanceOf[ILoadable].loadServer(loadStage)

}
