/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item.armor

import net.minecraft.creativetab.CreativeTabs
import net.minecraft.inventory.EntityEquipmentSlot
import net.minecraft.item.Item

class ArmorsetBuilder private(items: Array[Item]) {

  def addArmorPiece(equipmentSlot: EntityEquipmentSlot, item: Item): ArmorsetBuilder = {
    items(equipmentSlot.getIndex) = item
    this
  }

  def build(tab: CreativeTabs): Armorset = {
    for (i <- items.indices) items(i).setCreativeTab(tab)
    return new Armorset(items)
  }

}

object ArmorsetBuilder {

  def newBuilder: ArmorsetBuilder = newBuilder(4)

  def newBuilder(size: Int): ArmorsetBuilder = new ArmorsetBuilder(Array.ofDim[Item](size))

}
