/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item.armor

import net.minecraft.creativetab.CreativeTabs
import net.minecraft.inventory.EntityEquipmentSlot
import net.minecraft.item.ItemArmor.ArmorMaterial

object ItemArmorHelper {

  def makeArmorset(material: ArmorMaterial, tab: CreativeTabs): Armorset = makeArmorset(material.name().toLowerCase, material, tab)

  def makeArmorset(name: String, material: ArmorMaterial, tab: CreativeTabs): Armorset = {
    val builder = ArmorsetBuilder.newBuilder
    builder.addArmorPiece(EntityEquipmentSlot.HEAD, new ItemHelmetBase(s"helmet_$name", material))
    builder.addArmorPiece(EntityEquipmentSlot.CHEST, new ItemChestplateBase(s"chestplate_$name", material))
    builder.addArmorPiece(EntityEquipmentSlot.LEGS, new ItemLeggingsBase(s"leggings_$name", material))
    builder.addArmorPiece(EntityEquipmentSlot.FEET, new ItemBootsBase(s"boots_$name", material))
    return builder.build(tab)
  }

}
