/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item.armor

import de.keri.cubelib.item.TDefaultItemImpl
import net.minecraft.client.renderer.texture.{TextureAtlasSprite, TextureMap}
import net.minecraft.creativetab.CreativeTabs
import net.minecraft.inventory.EntityEquipmentSlot
import net.minecraft.item.ItemArmor.ArmorMaterial
import net.minecraft.item.{ItemArmor, ItemStack}
import net.minecraft.util.{NonNullList, ResourceLocation}
import net.minecraftforge.fml.relauncher.{Side, SideOnly}

class ItemBootsBase(itemName: String, material: ArmorMaterial) extends ItemArmor(material, 0, EntityEquipmentSlot.FEET) with TDefaultItemImpl {

  private var modid: String = _
  @SideOnly(Side.CLIENT)
  private var texture: TextureAtlasSprite = _

  override def getSubItems(tab: CreativeTabs, items: NonNullList[ItemStack]): Unit = if (tab == getCreativeTab) items.add(new ItemStack(this, 1, 0))

  @SideOnly(Side.CLIENT)
  override def registerTextures(map: TextureMap): Unit = texture = map.registerSprite(new ResourceLocation(modid, s"items/armor/$itemName"))

  @SideOnly(Side.CLIENT)
  override def getTexture(meta: Int): TextureAtlasSprite = texture

  @SideOnly(Side.CLIENT)
  override def getTexture(stack: ItemStack): TextureAtlasSprite = null

  override def getModid: String = modid

  override def getItemName: String = itemName

  override def setModid(modid: String): Unit = this.modid = modid

}
