/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item.tool;

import net.minecraft.item.*;

public enum EnumToolType {

    SWORD(0, "sword", ItemSword.class),
    PICKAXE(1, "pickaxe", ItemPickaxe.class),
    SHOVEL(2, "shovel", ItemSpade.class),
    AXE(3, "axe", ItemAxe.class),
    HOE(4, "hoe", ItemHoe.class);

    public static final EnumToolType[] VALUES = new EnumToolType[]{SWORD, PICKAXE, SHOVEL, AXE, HOE};
    private int index;
    private String name;
    private Class<? extends Item> itemClass;

    EnumToolType(int index, String name, Class<? extends Item> itemClass){
        this.index = index;
        this.name = name;
        this.itemClass = itemClass;
    }

    public int getIndex(){
        return index;
    }

    public String getName(){
        return name;
    }

    public Class<? extends Item> getItemClass(){
        return itemClass;
    }

}
