/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item.tool

import net.minecraft.creativetab.CreativeTabs
import net.minecraft.item.Item.ToolMaterial

object ItemToolHelper {

  def makeToolset(material: ToolMaterial, tab: CreativeTabs): Toolset = makeToolset(material.name().toLowerCase, material, tab)

  def makeToolset(name: String, material: ToolMaterial, tab: CreativeTabs): Toolset = {
    val builder = ToolsetBuilder.newBuilder
    builder.addTool(EnumToolType.SWORD, new ItemSwordBase(s"sword_$name", material))
    builder.addTool(EnumToolType.PICKAXE, new ItemPickaxeBase(s"pickaxe_$name", material))
    builder.addTool(EnumToolType.SHOVEL, new ItemShovelBase(s"shovel_$name", material))
    builder.addTool(EnumToolType.AXE, new ItemAxeBase(s"axe_$name", material))
    builder.addTool(EnumToolType.HOE, new ItemHoeBase(s"hoe_$name", material))
    return builder.build(tab)
  }

}
