/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.item.tool

import net.minecraft.creativetab.CreativeTabs
import net.minecraft.item.Item

class ToolsetBuilder private(items: Array[Item]) {

  def addTool(toolType: EnumToolType, item: Item): ToolsetBuilder = {
    items(toolType.getIndex) = item
    this
  }

  def build(tab: CreativeTabs): Toolset = {
    for (i <- items.indices) items(i).setCreativeTab(tab)
    return new Toolset(items)
  }

}

object ToolsetBuilder {

  def newBuilder: ToolsetBuilder = newBuilder(5)

  def newBuilder(size: Int): ToolsetBuilder = new ToolsetBuilder(Array.ofDim[Item](size))

}
