/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.tile

import net.minecraft.nbt.NBTTagCompound
import net.minecraft.network.NetworkManager
import net.minecraft.network.play.server.SPacketUpdateTileEntity
import net.minecraft.tileentity.TileEntity

class TileEntityBase extends TileEntity {

  override def readFromNBT(tag: NBTTagCompound): Unit = super.readFromNBT(tag)

  override def writeToNBT(tag: NBTTagCompound): NBTTagCompound = {
    super.writeToNBT(tag)
    tag
  }

  override def getUpdateTag: NBTTagCompound = writeToNBT(new NBTTagCompound)

  override def getUpdatePacket: SPacketUpdateTileEntity = new SPacketUpdateTileEntity(pos, 255, getUpdateTag)

  override def onDataPacket(manager: NetworkManager, packet: SPacketUpdateTileEntity): Unit = readFromNBT(packet.getNbtCompound)

  override def markDirty(): Unit = {
    super.markDirty()

    if(world != null){
      val state = world.getBlockState(pos)

      if(state != null){
        state.getBlock.updateTick(world, pos, state, world.rand)
        world.notifyBlockUpdate(pos, state, state, 3)
      }
    }
  }

}
