/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.util

import net.minecraft.block.Block
import net.minecraft.block.state.IBlockState
import net.minecraft.item.ItemStack
import net.minecraft.util.ResourceLocation
import net.minecraftforge.fml.common.registry.ForgeRegistries

object ItemStackUtils {

  def getEmptyStack: ItemStack = ItemStack.EMPTY

  def getStateFromStack(stack: ItemStack): IBlockState = Block.getBlockFromItem(stack.getItem).getStateFromMeta(stack.getMetadata)

  def getStackFromName(name: String): ItemStack = {
    val location = new ResourceLocation(name)
    if(ForgeRegistries.ITEMS.containsKey(location)) new ItemStack(ForgeRegistries.ITEMS.getValue(location), 1, 0)
    else getEmptyStack
  }

}
