/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubelib.util

import de.keri.cubelib.block.CommonProperties
import net.minecraft.util.math.BlockPos
import net.minecraft.world.{IBlockAccess, World}

object MetadataUtils {

  def getBlockMetadata(world: IBlockAccess, pos: BlockPos): Int = world.getBlockState(pos).getValue(CommonProperties.META_STATE).intValue()

  def setBlockMetadata(world: World, pos: BlockPos, meta: Int): Boolean = setBlockMetadata(world, pos, meta, 3)

  def setBlockMetadata(world: World, pos: BlockPos, meta: Int, flags: Int): Boolean = {
    val oldState = world.getBlockState(pos)
    val newState = oldState.withProperty[Integer, Integer](CommonProperties.META_STATE, meta)
    world.setBlockState(pos, newState, flags)
  }

}
