/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubeloader

import de.keri.cubeloader.init.CubeLoaderConfig
import de.keri.cubeloader.proxy.CommonProxy
import net.minecraftforge.fml.common.Mod.EventHandler
import net.minecraftforge.fml.common.event._
import net.minecraftforge.fml.common.{Mod, SidedProxy}

@Mod(modid = "cubeloader", useMetadata = true, modLanguage = "scala")
object CubeLoader {

  @SidedProxy(clientSide = "de.keri.cubeloader.proxy.ClientProxy", serverSide = "de.keri.cubeloader.proxy.ServerProxy")
  var PROXY: CommonProxy = _
  var CONFIG: CubeLoaderConfig = _

  @EventHandler
  def construction(event: FMLConstructionEvent): Unit = PROXY.construction(event)

  @EventHandler
  def preInit(event: FMLPreInitializationEvent): Unit = {
    PROXY.preInit(event)
    CONFIG = new CubeLoaderConfig(event)
  }

  @EventHandler
  def init(event: FMLInitializationEvent): Unit = PROXY.init(event)

  @EventHandler
  def postInit(event: FMLPostInitializationEvent): Unit = PROXY.postInit(event)

  @EventHandler
  def serverAboutToStart(event: FMLServerAboutToStartEvent): Unit = PROXY.serverAboutToStart(event)

  @EventHandler
  def serverStarting(event: FMLServerStartingEvent): Unit = PROXY.serverStarting(event)

  @EventHandler
  def serverStarted(event: FMLServerStartedEvent): Unit = PROXY.serverStarted(event)

  @EventHandler
  def serverStopping(event: FMLServerStoppingEvent): Unit = PROXY.serverStopping(event)

  @EventHandler
  def serverStopped(event: FMLServerStoppedEvent): Unit = PROXY.serverStopped(event)

}
