/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubeloader.init

import de.keri.cubeloader.util.CubeLogger
import net.minecraftforge.common.config.Configuration
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent
import org.apache.commons.lang3.time.StopWatch

class CubeLoaderConfig(event: FMLPreInitializationEvent) {

  private val config = new Configuration(event.getSuggestedConfigurationFile)
  private val timer = new StopWatch
  timer.start()
  config.load()
  val buttonId: Int = config.get("general", "buttonId", 34500, "Change the button id of the modlist button", 0, 100000).getInt
  config.save()
  timer.stop()
  CubeLogger.info(s"Done loading config in ${timer.getTime}ms!")

}
