/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubeloader.loader

import java.net.URI

import com.mojang.authlib.GameProfile

import scala.collection.mutable.ArrayBuffer

class ModMetadata {

  private var modid: String = _
  private var name: String = _
  private var version: String = _
  private var icon: String = _
  private val authors = new ArrayBuffer[GameProfile]()
  private var website: URI = _

  def setModid(modid: String): Unit = this.modid = modid

  def setName(name: String): Unit = this.name = name

  def setVersion(version: String): Unit = this.version = version

  def setIcon(icon: String): Unit = this.icon = icon

  def addAuthor(author: GameProfile): Unit = authors += author

  def setWebsite(url: URI): Unit = website = url

  def getModid: String = modid

  def getName: String = name

  def getVersion: String = version

  def getIcon: String = icon

  def getAuthors: ArrayBuffer[GameProfile] = authors

  def getWebsite: URI = website

}
