/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubeloader.proxy

import java.util.UUID

import de.keri.cubeloader.loader.{Bootstrap, ModLoader, ModMetadata}
import net.minecraft.util.ResourceLocation
import net.minecraftforge.fml.common.event._
import net.minecraftforge.fml.common.{Loader, ModContainer}

import scala.collection.mutable.HashMap

class CommonProxy {

  def construction(event: FMLConstructionEvent): Unit = {
    Bootstrap.bootstrap()
    ModLoader.handleConstructionCommon(event)
  }

  def preInit(event: FMLPreInitializationEvent): Unit = ModLoader.handlePreInitCommon(event)

  def init(event: FMLInitializationEvent): Unit = ModLoader.handleInitCommon(event)

  def postInit(event: FMLPostInitializationEvent): Unit = ModLoader.handlePostInitCommon(event)

  def serverAboutToStart(event: FMLServerAboutToStartEvent): Unit = ModLoader.handleServerAboutToStartCommon(event)

  def serverStarting(event: FMLServerStartingEvent): Unit = ModLoader.handleServerStartingCommon(event)

  def serverStarted(event: FMLServerStartedEvent): Unit = ModLoader.handleServerStartedCommon(event)

  def serverStopping(event: FMLServerStoppingEvent): Unit = ModLoader.handleServerStoppingCommon(event)

  def serverStopped(event: FMLServerStoppedEvent): Unit = ModLoader.handleServerStoppedCommon(event)

  def loadAuthorsSkins(metadata: ModMetadata): HashMap[UUID, ResourceLocation] = null

  def getAuthorSkin(uuid: UUID): ResourceLocation = null

  def registerContainer(container: ModContainer): Unit = {
    val parentContainer = Loader.instance().getIndexedModList.get("cubeloader")
    parentContainer.getMetadata.childMods.add(container)
  }

}
