/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubeloader.proxy

import java.util.UUID

import de.keri.cubeloader.loader.{ModLoader, ModMetadata}
import net.minecraft.util.ResourceLocation
import net.minecraftforge.fml.common.ModContainer
import net.minecraftforge.fml.common.event._

import scala.collection.mutable.HashMap

class ServerProxy extends CommonProxy {

  override def construction(event: FMLConstructionEvent): Unit = {
    super.construction(event)
    ModLoader.handleConstructionServer(event)
  }

  override def preInit(event: FMLPreInitializationEvent): Unit = {
    super.preInit(event)
    ModLoader.handlePreInitServer(event)
  }

  override def init(event: FMLInitializationEvent): Unit = {
    super.init(event)
    ModLoader.handleInitServer(event)
  }

  override def postInit(event: FMLPostInitializationEvent): Unit = {
    super.postInit(event)
    ModLoader.handlePostInitServer(event)
  }

  override def serverAboutToStart(event: FMLServerAboutToStartEvent): Unit = {
    super.serverAboutToStart(event)
    ModLoader.handleServerAboutToStartServer(event)
  }

  override def serverStarting(event: FMLServerStartingEvent): Unit = {
    super.serverStarting(event)
    ModLoader.handleServerStartingServer(event)
  }

  override def serverStarted(event: FMLServerStartedEvent): Unit = {
    super.serverStarted(event)
    ModLoader.handleServerStartedServer(event)
  }

  override def serverStopping(event: FMLServerStoppingEvent): Unit = {
    super.serverStopping(event)
    ModLoader.handleServerStoppingServer(event)
  }

  override def serverStopped(event: FMLServerStoppedEvent): Unit = {
    super.serverStopped(event)
    ModLoader.handleServerStoppedServer(event)
  }

  override def loadAuthorsSkins(metadata: ModMetadata): HashMap[UUID, ResourceLocation] = null

  override def getAuthorSkin(uuid: UUID): ResourceLocation = null

  override def registerContainer(container: ModContainer): Unit = {
    super.registerContainer(container)
  }

}
