/*
 * This file is part of CubeLoader.
 * Copyright (c) 2016 - 2017, KitsuneAlex, All rights reserved.
 *
 * CubeLoader is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CubeLoader is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with CubeLoader.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package de.keri.cubeloader.util

import org.apache.logging.log4j.{LogManager, Logger}

object CubeLogger {

  private final val NAME = "CubeLoader"
  private final val LOGGER: Logger = LogManager.getLogger("CubeLoader")

  def info(message: String): Unit = LOGGER.info(s"[$NAME] $message")

  def warn(message: String): Unit = LOGGER.warn(s"[$NAME] $message")

  def error(message: String): Unit = LOGGER.error(s"[$NAME] $message")

  def debug(message: String): Unit = LOGGER.debug(s"[$NAME] $message")

}
